2018-07-13
	* package: packaging for stretch, fixes
	* see debian/changelog for future information
	* doloforge 0.26.11 (development release)

2018-07-12
	* package: packaging for stretch, templates fixes
	* doloforge 0.26.9, 0.26.10 (development release)

2018-07-11
	* package: packaging for stretch, vlogger
	* doloforge 0.26.8 (development release)

2018-07-10
	* package: packaging for stretch, more fixes
	* doloforge 0.26.7 (development release)

2018-07-06
	* package: packaging for stretch, more fixes
	* doloforge 0.26.6 (development release)

2018-07-05
	* package: packaging for stretch, more fixes
	* doloforge 0.26.5 (development release)

2018-07-04
	* package: packaging for stretch, dependecies
	* doloforge 0.26.4 (development release)

2018-07-03
	* package: packaging for stretch, more fixes
	* doloforge 0.26.3 (development release)

2018-07-02
	* package: packaging for stretch, more fixes
	* doloforge 0.26.2 (development release)

2018-06-29
	* package: packaging for stretch, first fixes
	* doloforge 0.26.1 (development release)

2018-06-28
	* package: packaging for stretch
	* doloforge 0.26.0 (development release)

2014-12-03
	* various cron: improved logging, to include elapsed= info
	* doloforge 0.25.25 (development release)

2014-11-17
	* apache: data cache may also be stored on the NFS server
	* doloforge 0.25.24 (development release)

2014-08-20
	* report: compress analog and performance reports output files
	* various: fix autoflush symbol error
	* doloforge 0.25.22, 0.25.23 (development release)

2014-08-15
	* bulkmail: allow to send/forward to 'anylist' configured list instead of
	only known "lists:"
	* publish: quick-fix an introduced bug
	* doloforge 0.25.20, 0.25.21 (development release)

2014-07-09
	* mason: make session/cache lifetime configuration
	* doloforge 0.25.18, 0.25.19 (development release)

2014-07-02
	* report: changed some logging details
	* doloforge 0.25.17 (development release)

2014-06-16
	* bulkmail: changed some logging levels
	* doloforge 0.25.16 (development release)

2014-04-02
	* bulkmail: add more info about emails classifications upon reporting
	* doloforge 0.25.15 (development release)

2014-03-12
	* ruby: beginning of a Ruby on Rails back-end on Apache2/mod_passenger
	* doloforge 0.25.14 (development release)

2014-02-21
	* mason: wrong port in rewrite to back-end
	* doloforge 0.25.13 (development release)

2014-02-19
	* apache and inherited: do not mangle vlogger logs when mixing back-end
	interpreters between various instances of Apache in chroots
	* doloforge 0.25.12 (development release)

2014-02-16
	* apache and inherited: do not mangle vlogger logs when mixing back-end
	interpreters between various instances of Apache in chroots
	* doloforge 0.25.11 (development release)

2014-02-15
	* apache and inherited: do not mangle vlogger logs when mixing back-end
	interpreters between various instances of Apache in chroots
	* doloforge 0.25.10 (development release)

2014-02-15
	* apache and inherited: do not mangle vlogger logs when mixing back-end
	interpreters between various instances of Apache in chroots
	* doloforge 0.25.9 (development release)

2014-02-14
	* apache and inherited: do not mangle vlogger logs when mixing back-end
	interpreters between various instances of Apache in chroots
	* doloforge 0.25.8 (development release)

2014-02-13
	* cron: few logging fixes
	* doloforge 0.25.7 (development release)

2013-07-21
	* postgres: new schroot versions with templates, backups, etc.
	* doloforge 0.25.6 (development release)

2013-07-18
	* postgres: new schroot versions with templates, backups, etc.
	* doloforge 0.25.5 (development release)

2013-07-17
	* postgres: new schroot versions with templates etc.
	* doloforge 0.25.4 (development release)

2013-07-17
	* postgres: new schroot versions with templates etc.
	* doloforge 0.25.3 (development release)

2013-07-17
	* postgres: new schroot versions with templates etc.
	* doloforge 0.25.2 (development release)

2013-07-17
	* postgres: new schroot versions with templates etc.
	* doloforge 0.25.1 (development release)

2013-01-18
	* postgres, mysql: don't remove restore logs...
	* doloforge 0.24.13 (stable release)

2013-01-17
	* postgres, mysql: don't remove restore logs...
	* doloforge 0.24.12 (stable release)

2013-01-08
	* postgres, mysql: don't remove restore logs...
	* doloforge 0.24.11 (stable release)

2013-01-06
	* postgres, mysql: restore the latest dump, potentially older than the day
	* postgres: kill the active connections which are confused after a restore
	* doloforge 0.24.10 (stable release)

2013-01-06
	* postgres, mysql: restore the latest dump, potentially older than the day
	* postgres: kill the active connections which are confused after a restore
	* doloforge 0.24.9 (stable release)

2012-12-19
	* cron: added a check for non-existing client ID, due to replicating the
	  configuration while not updating all hosts before the next daily cron
	  run. The effect was to abruptly finish the cron run, leaving the lock in
	  place.
	* doloforge 0.24.8 (stable release)

2012-12-17
	* postgres, mysql: improve backup keeping by using dated filenames. This
	  may have an impact on restores using 'db_restore_from'
	* doloforge 0.24.7 (stable release)

2012-12-16
	* postgres, mysql: improve backup keeping by using dated filenames. This
	  may have an impact on restores using 'db_restore_from'
	* doloforge 0.24.6 (stable release)

2012-12-14
	* postgres, mysql: improve backup keeping by using dated filenames. This
	  may have an impact on restores using 'db_restore_from'
	* doloforge 0.24.5 (stable release)

2012-12-13
	* postgres, mysql: improve backup keeping by using dated filenames. This
	  may have an impact on restores using 'db_restore_from'
	* doloforge 0.24.4 (stable release)

2012-12-12
	* postgres, mysql: improve backup keeping by using dated filenames. This
	  may have an impact on restores using 'db_restore_from'
	* doloforge 0.24.3 (stable release)

2012-01-09
	* apache: changed the website rewrite, now using ProxyRemote instead of
	named host in RewriteRule (this leaves the requested domain name as-is)
	* cron: increased the recommended warning delay (hourly)
	* mason: changed iand added escapes (|u, |q)
	* doloforge 0.24.2 (stable release)

2011-04-07
	* bulkmail: changed the behaviour of --keep-bounce/--remove-bounce in
	order to have a good default processing (missing bounce processing or
	missing manual option)
	* doloforge 0.24.1 (stable release)

2010-10-17
	* report: added a --dry-run option
	* everything else is ready for a stable release
	* doloforge 0.24.0 (stable release)

2010-09-30
	* report: bugfix in performance analyser (access.log regexp)
	* doloforge 0.23.34 (development release)

2010-09-27
	* bulkmail: improved bounce classifying
	* doloforge 0.23.31, 0.23.32, 0.23.33 (development release)

2010-09-26
	* bulkmail: implemented soft/hard bounce filtering and reporting
	(--get-bounce/--get-deliverable)
	* doloforge 0.23.30 (development release)

2010-09-24
	* bulkmail: added more logging
	* doloforge 0.23.28, 0.23.29 (development release)

2010-09-23
	* report: bugfix in performance analyser
	* doloforge 0.23.27 (development release)

2010-09-22
	* report: bugfix in performance analyser
	* doloforge 0.23.26 (development release)

2010-09-21
	* report: detailed report for performance analyser
	* doloforge 0.23.25 (development release)

2010-09-20
	* report: performance analyser
	* doloforge 0.23.23, 0.23.24 (development release)

2010-09-19
	* report: performance analyser
	* doloforge 0.23.22 (development release)

2010-07-16
	* php5, mason: small template changes
	* doloforge 0.23.21 (development release)

2010-07-15
	* apache, php5, mason: hability to choose a specific port number for each
	project (used to select a root-jailed PHP back-end for a specific version;
	the root-jail config itself is out of the doloforge realm, but uses a
	well-known config dir for it's Apache back-end)
	* php5, mason: added a services:mason:rewrites: YAML key, then extracted
	the e-dition rewrites to take advantage of it (new template files)
	* doloforge 0.23.19, 0.23.20 (development release)

2010-05-26
	* report: added the VHOST report in the default Analog config

2010-05-14
	* php5: added a PHP_DOCTRINE_DSN database connection definition in
	project_env.*
	* doloforge 0.23.18 (development release)

2010-05-13
	* bulkmail: more intelligent parsing, "hard" and "soft" bounce CSVs,
	classification regexps in the config file
	* bulkmail: uses csync2 to replicate through the platform
	* doloforge 0.23.15 to 0.23.17 (development release)

2010-05-12
	* bulkmail: less memory intensive report
	* doloforge 0.23.11 to 0.23.14 (development release)

2010-05-10
	* bulkmail: second shot at a fine bounce report
	* doloforge 0.23.10 (development release)

2010-05-08
	* postgres, mysql: don't dump the same DB more than once
	* postgres, mysql: dump additionnal databases for some projects
	* bulkmail: first shot at a fine bounce report
	* doloforge 0.23.9 (development release)

2010-05-04
	* bulkmail: central email server processing step improvements
	* doloforge 0.23.8 (development release)

2010-05-03
	* bulkmail: logging invalide email addresses to syslog "mail.notice",
	which is forwarded to the central server for analysis (see
	/etc/doloforge/bulkmail.yaml for details)
	* bulkmail: central email server processing skeleton (cron maintenance)
	* doloforge 0.23.5 to 0.23.7 (development release)

2010-04-28
	* mason: added an SEO-friendly rewrite; commented them all
	* doloforge 0.23.4 (development release)

2010-04-27
	* bulkmail: fixed email forwarding, improved logging
	* doloforge 0.23.2, 0.23.3 (development release)

2010-04-26
	* base: tweaked the verbosity level for display
	* base: added the needed config option in all templates
	* doloforge 0.23.1 (development release)

2010-04-23
	* bulkmail: added a merge facility, used to personalize emails (not really
	bulk emailing)
	* base: tweaked the verbosity level for display
	* doloforge 0.23.0 (development release)

2009-02-03
	* mason: added a "|u" filter (URL escape)

2009-12-21
	* publish: added a config to get back data from prod to test
	* apache: the main httpd.conf template now uses pre- and post-rewrite rules
	* doloforge 0.22.0 (stable release)

2009-12-08
	* report: a bit more useful temporary report_error
	* doloforge 0.21.28 (development release)

2009-11-27
	* report: /usr/lib/doloforge/bin was not executable
	* doloforge 0.21.27 (development release)

2009-11-24
	* report: error log analyser stub, as an easily updatable external script,
	see ./bin or /usr/lib/doloforge/bin
	* doloforge 0.21.26 (development release)

2009-11-22
	* apache: more quick fix + more testing
	* doloforge 0.21.25 (development release)

2009-11-21
	* apache: quick fix + warning condition
	* doloforge 0.21.24 (development release)

2009-11-20
	* vlogger: take physical paths and client ./lib/ trees into account
	* apache: process the ./lib/_logs/*/ files
	* doloforge 0.21.23 (development release)

2009-11-04
	* project_env: better fail-safe value for SERVERNAME
	* php5: added SetEnv directives in httpd.conf, to define project-wide
	values to be used by PHP code
	* doloforge 0.21.22 (development release)

2009-10-30
	* bulkmail: really fixed "MAIL FROM: <>" at the second email, by making
	the Sender: header illegal in the email text (no other way for Mail::Bulkmail)
	* doloforge 0.21.21 (development release)

2009-10-29
	* bulkmail: added debugging files
	* bulkmail: fixed "MAIL FROM: <>" at the second email, when Sender: is not
	set in the original email
	* bulkmail: added the hability to send to unconfigured list, just passing
	the recipients file to the doloforge command
	* doloforge 0.21.18 to 0.21.20 (development release)

2009-10-26
	* apache: enabled /logs/ access much like /stats/

2009-10-03
	* debian: dependencies changes for lenny
	* doloforge 0.21.15 to 0.21.17 (development release)

2009-09-14
	* vlogger: fixes for error.log handling (sigtrap, _default_)
	* doloforge 0.21.14 (development release)

2009-09-13
	* cron: parameterized the "run time excessive: please investigate" warning
	* doloforge 0.21.13 (development release)

2009-09-10
	* apache: changed the ServerName value, which should be used only by
	vlogger,in order to have a stage-independant and more stable value. That's
	an intrusive change that should have no impact.
	* doloforge 0.21.12 (development release)

2009-09-09
	* vlogger: fixes for error.log handling
	* doloforge 0.21.10, 0.21.11 (development release)

2009-09-08
	* vlogger: using it to split error.log into projects too (apache, php5,
	mason, https)
	* doloforge 0.21.8, 0.21.9 (development release)

2009-09-07
	* cron: removed debug messages...
	* doloforge 0.21.7 (development release)

2009-09-06
	* cron: added debug messages...
	* doloforge 0.21.6 (development release)

2009-09-05
	* cron: quick fixes for the nolock run
	* doloforge 0.21.5 (development release)

2009-09-04
	* apache: added a robots.txt template to avoid many 404s
	* cron: added the hability to run jobs on every application server,
	regardless of the lock (which prevent to run the same jobs at the same
	time on many hosts). These cron/[interval]/nolock/* jobs are run before
	the locked jobs.
	* cron: added a warning in case an older lock seems to be left locked
	* doloforge 0.21.3, 0.21.4 (development release)

2009-09-03
	* apache: *.log rotation/merge fixes and testing on multi-server stages
	* apache: fixed multi-stage usage for allow_from
	* doloforge 0.21.1, 0.21.2 (development release)

2009-09-02
	* apache: _default_/access.log rotation/merge
	* apache: error.log rotation/merge (splitting into projects still needed)
	* doloforge 0.21.0 (development release)

2009-09-01
	* apache: changed the usage of the allow_from configuration option used by
	the httpd.conf template (used on all stages unless specified otherwise)

2009-06-25
	* all: no changes since last development release...
	* doloforge 0.20.0 (stable release)

2009-06-24
	* doloforge 0.19.4 (development release)

2009-06-23
	* mason: Error::Simple and other exceptions are logged with a stacktrace
	* doloforge: added a "vm" configuration file, similar to "standalone" and
	"devl", and meant to be used in a development VirtualBox installation.

2009-06-10
	* postgres, mysql: improved the backup verbosity and restore readme.txt

2009-06-06
	* cron: added an "elapsed=" field to syslog lines, to easily retrieve it
	* doloforge 0.19.3

2009-05-07
	* all DB: only create the readme.txt file when dumping
	* doloforge 0.19.2

2009-05-04
	* mason, php5, https: removed -a option to vlogger, in order to have
	"real-time" log lines to grep, tail, etc...
	* website: added a reverse-proxy-to-website template, for simple proxying
	tasks (declare it as a back-end, and add the "services:apache:website"
	YAML config entry
	* doloforge 0.19.0, 0.19.1

2009-04-23
	* all: converted all source files to UTF8
	* ftp: added a proftpd.conf include configuration file
	* all DB: dump task now writes a readme.txt file, to help restore the DB

2009-04-15
	* ftp: added a proftpd.conf include configuration file

2009-04-15
	* config: added a --force option, to force all files to update
	* mirror: fixed services config for mirror stage
	* config: fixed a few more warnings
	* doloforge 0.18.1

2009-04-08
	* publish: small fix in rsync_reverse_filter.conf
	* doloforge: stable version with DB backup and restore, reverse rsync,
	mirror stage, expired cache and session removal
	* doloforge 0.18.0

2009-04-07
	* mason: small cache-emptying fix
	* publish: simplified default filter rules, improved reverse filter rules
	* mysql: renamed the patch/ dir to patches/, like other DB services
	* all DB: renamed the dump/ dir to _dump/, to match simpler filter rules
	* doloforge: this means this release must be installed on all stages at
	once, or publish vs. dir renames will not work cleanly...
	* doloforge 0.17.19 (development release)

2009-04-06
	* all: few fixes, logging details
	* doloforge 0.17.17, 0.17.18 (development release)

2009-04-03
	* postgres: working (!) less verbose restore on the mirror stage
	* doloforge 0.17.15, 0.17.16 (development release)

2009-04-01
	* postgres: less verbose restore on the mirror stage
	* doloforge 0.17.14 (development release)

2009-03-30
	* mason: do not warn while removing non-empty cache directories
	* postgres: ability to automatically restore a previous dump instead of
	dumping a new one, for use on a "mirror" stage
	* doloforge 0.17.13 (development release)

2009-03-22
	* mysql: dump the project DB, next try
	* doloforge 0.17.12 (development release)

2009-03-21
	* mason: removed debug info
	* postgres8: fixed documentation about admin permissions
	* mysql: dump the project DB, first try
	* example: removed outdated edition project
	* doloforge 0.17.11 (development release)

2009-03-20
	* mason: less verbose, more effective expired files removal
	* publish: reverse config fixes
	* doloforge 0.17.10 (development release)

2009-03-19
	* postgres: few fixes
	* cron: few fixes
	* publish: reverse config fixes
	* doloforge 0.17.9 (development release)

2009-03-18
	* postgres: few fixes
	* cron: few fixes
	* mason: few fixes
	* doloforge 0.17.8 (development release)

2009-03-17
	* postgres: run the dump as the doloforge administrator ID
	* cron: changed message format that was picked by logcheck
	* doloforge 0.17.6, 0.17.7 (development release)

2009-03-16
	* postgres: properly set the automatic dump method for DB backup
	* doloforge 0.17.5 (development release)

2009-03-15
	* publish: added a --quiet mode, for use in cron jobs that should output
	nothing when everything is OK (the publish report is still generated)
	* apache, mason: development mode is defined in the global or project
	configuration, and triggers verbose error messages, ErrorDocuments, cache
	usage, etc. See /etc/doloforge/doloforge.standalone.yaml
	* cron: prepare the service cron run infrastucture (DB backup)
	* doloforge 0.17.3, 0.17.4 (development release)

2009-03-14
	* cron: remove expired session and cache files during maintenance tasks
	* doloforge 0.17.2 (development release)

2009-03-13
	* base: various warning fixes
	* ftp: skeleton creation
	* mysql, postgres7, postgres8: basic DB backup for every known project
	* doloforge 0.17.1 (development release)

2009-03-08
	* publish: added the reverse rsync method for pulling projects to a mirror
	stage, from a production stage
	* doloforge 0.17.0 (development release)

2009-01-22
	* report: don't complain if a project' conf exist, but was not --update'd
	yet
	* doloforge 0.16.3 (bugfix release)

2008-12-31
	* https: do not use port number in the reverse proxy setting, if it's the
	default one (80)

2008-12-08
	* doloforge 0.16.2

2008-11-13
	* package: added a dependency to htmldoc, libxml-xpath-perl, php5-ldap

2008-10-28
	* package: changed memcached from recommends to depends
	* package: I will now try to follow the even/odd version number convention
	with even numbers meaning "quite stable", and odd numbers meaning "feature
	development in progress"
	* package: doloforge is always used in the real native production
	environment, hence a broken version usually won't last more than a day...
	* package: this 0.16.0 is thus an explicit declaration that the previous
	version 0.15.27 was indeed stable...
	* doloforge 0.16.0, 0.16.1

2008-10-02
	* doloforge 0.15.27

2008-10-01
	* mergelog: do not keep useless uncompressed log files, as compressed ones
	take only 5% of the raw files...
	* report: fixed warnings

2008-09-29
	* report: XHTML Analog output by default
	* report: hability to suppress filesystem archival for analysers which do
	not store results in the filesystem (basedir: "")
	* doloforge 0.15.26

2008-09-28
	* report: quick fixes after the first cluster runs
	* publish: changed the /publish/hist report history dir to
	/publish/history, in order to match the log analysis report
	* publish: added a symlink to the lastest publish, like "report"
	* apache: changed the order of Alias directives, which masked each other
	* report: support for external analysers, stored in cron/analyser/, run
	like cron jobs (with additionnal command-line and ENV arguments)
	* cron: removed useless service hashes (hopefully; get back to me in case
	of problem with cron jobs)
	* doloforge 0.15.24, 0.15.25

2008-09-27
	* cron: jobs are now niced
	* report: few fixed, plus changed reading log files to compressed format,
	six times quicker to read + decompress over NFS, than raw files...
	* report: now reads a per-project conf/report.yaml file, which configures
	additionnal reports to be run on the project (see example/sandbox/conf/)
	* doloforge 0.15.22, 0.15.23

2008-09-23
	* report: added more configuration to the analog analyser
	* apache: added shared icons and CSS, used by the analog reports
	* apache: improved the template generating AuthUserFile for /stats/
	* analog: quick template fixes
	* doloforge 0.15.20, 0.15.21

2008-09-22
	* report: added the actual analog analyser module, as a test-run
	* doloforge 0.15.19

2008-09-21
	* cron: fixed exact time of DB roles maintenance run
	* skel: added permissions to the client group on all [service]/_stats
	directories, used to store reports output (_reports/ would be better as a
	name, but history is sticky)
	* report: added the whole framework which will run analysers, creating
	report directories, history, symlinks, etc.
	* doloforge 0.15.18

2008-09-20
	* cron: changed a bit the crontab arrangement, to allow proper runs of
	report (log analysis) after the whole log management tasks
	* report: added the empty infrastructure for reports generation, as a
	stand-alone command-line (to be used as a testing rig for project-specific
	analysers), plus the link from the daily cron run
	* doloforge: packaged for a trial run on the whole cluster
	* doloforge 0.15.17

2008-09-17
	* publish: added --lib option, which publishes the client/lib/ dir instead
	of a client/project/ tree
	* skeleton: added developer-writable directories at the root of the client
	and project directory trees, with configuration entries in doloforge.yaml
	* doloforge: replaced "-w" with "use warnings", and solved some warnings
	* cron: quick warning fix...
	* doloforge 0.15.15, 0.15.16

2008-09-09
	* https: fixed a superfluous redirect when calling https:// with a +SSL
	modifier (which is now simply ignored)
	* doloforge: finally turned on -w (Perl warnings)

2008-09-08
	* jdresolve: silenced jdresolve --expiredb
	* cron: now actually remove old host log files
	* doloforge 0.15.14

2008-09-05
	* jdresolve: fixed cache DB expire option
	* cron: moved locks and semaphores to prevent potential race-conditions
	between services
	* doloforge 0.15.13

2008-09-04
	* vlogger: adjusted jdresolve options, defined in doloforge.yaml, reduced
	verbosity
	* apache, https: added cookie information in access logs
	* doloforge 0.15.12

2008-09-03
	* cron: fixed attempts to run directories (ie. ./cron/daily/subdir/)
	* https: change ServerName to have a correct domain name for vlogger
	* vlogger: merge logs from all application servers, resolve IPs, create
	daily gzipped logs
	* doloforge 0.15.10, 0.15.11

2008-09-01
	* apache: change uid/gid when moving files from vlogger (root-squash
	friendly)
	* doloforge 0.15.9

2008-08-27
	* cron: added bits of code for vlogger log files move... still alpha, for
	real-world runs...
	* doloforge 0.15.8

2008-08-26
	* php5, mason, iis: replaced symlinks in skeletons by proper files, with
	comments about turning them into symlinks if needed (fixes bad symlink
	errors upon skeleton copy)

2008-08-22
	* https: fixed +SSL bug introduced by some config change
	* doloforge 0.15.6, 0.15.7

2008-08-21
	* cron: now beta, packaged to test-run verbosely on the cluster...
	* doloforge 0.15.4, 0.15.5

2008-08-20
	* cron: added infrastructure needed to run maintenance jobs on every host
	and roles of the cluster. This will be used by log analysis scripts.
	* cron: currently very alpha, packaged to test-run verbosely on the
	cluster...
	* doloforge 0.15.2, 0.15.3

2008-08-19
	* vlogger: few config tweaks
	* config: colordiff instead of diff (plus added dependency)

2008-08-19
	* apache, mason, php5, https: now uses a single vlogger pipe, putting
	log files in /srv/doloforge/local/.doloforge/[service]/vlogger/[vhost]/
	* same: the previous directory is now only used by application-specific
	log files (cf. /srv/doloforge/local/[client]/[project]/[service]/logs/)
	* same: a single error.log now contains all vhost errors, which is a bit
	annoying in special cases. vlogger brings rotation and a better use of
	file descriptors, which is a good tradeoff...
	* doloforge 0.15.1

2008-06-14
	* apache, mason, php5: added proper configuration for ErrorDocument, by
	adding */htdocs/404.html files, used by Apache (can be symlinks)
	* mason: cache is enabled much like errors (disabled only on "devl" stage)
	* doloforge 0.14.4, 0.14.5

2008-05-06
	* patch: fixed a bug related to re-running the same patch again and again,
	because the corresponding log file was not updated
	* doloforge 0.14.3

2008-04-18
	* tomcat: changed the server.xml location and symlinks, because it didn't
	work in a separate application server/storage server environement...
	* doloforge 0.14.2

2008-04-17
	* dependencies: changed the Postgres 8 server-side dependencies
	* doloforge 0.14.1

2008-04-14
	* postgres8: added the Postgres 8 service, along with the previously
	available Postgres 7
	* doloforge 0.14.0

2008-04-03
	* apache, perl, php, https: fixed the standalone configuration files
	* doloforge 0.13.5

2008-03-20
	* apache, https: configurable remote access to the devl stage, project by
	project. By default, every project is available to the LAN.
	* publish: few log verbosity fixes
	* doloforge 0.13.4

2008-03-19
	* publish: polishing and preparation of the doloforge cluster before
	install, plus more polishing after first install...
	* patch: new companion command, to run DB patches on each stage (will be
	improved to be run as a publish plug-in)
	* patch: sqsh tweak
	* doloforge 0.13.0 to 0.13.3

2008-03-18
	* publish: new command-line tool, used to publish projects from stage to
	stage

2008-01-26
	* doloforge-dep: added libwww-google-sitemap-perl
	* doloforge 0.12.6 to 0.12.7

2008-01-08
	* user: added the doloforge-users and doloforge-clients groups, with
	automatic adding of the corresponding IDs
	* publish: key management infrastructure

2007-12-20
	* bulkmail: improved the documentation and tuning possibilities

2007-12-11
	* all back-ends: added ProxyPassReverse to properly rewrite outgoing
	redirects (cf. Apache manual)
	* apache: AllowOverride set to All (nearly)
	* doloforge 0.12.5

2007-12-10
	* mason: fixed configuration setting for error_mode and cache_class, which
	prevented proper start...
	* user: removed Postgres DB creation at user creation time

2007-11-27
	* config: added a --diff option when --update-ing, allowing a visual
	review of all changes in config files
	* config: do not report a configuration file as modified if it's contents
	is actually the same (I do not like to see "changed 200 files", where no
	files were actually changed). File timestamps are still modified, for the
	next run to avoid an unnecessary pass.

2007-10-09
	* all: few configuration fixes
	* doloforge 0.12.2

2007-10-02
	* tomcat: few configuration fixes
	* doloforge 0.12.1

2007-09-30
	* tomcat: added the tomcat service (Apache Tomcat 5.5 Java back-end
	application server)
	* doloforge 0.12.0

2007-09-26
	* apache: added the "detailed" log format, including special info, which
	will feed the doloforge log analysis subsystem
	* standalone: preliminary support for the "standalone" stage, used on
	single-host setup

2007-09-11
	* php5: added a project_env.php file, which containts define() for every
	environement value. This file can be require_once('../../_conf/project_env.php');
	* php5: also added MySQL php.ini default values in httpd.conf, allowing to
	call mysql_connect() without any parameter at all...
	* doloforge 0.11.10 to 0.11.11

2007-09-06
	* syslog: improved syslogging and added a logcheck ignore file
	* syslog: added a sysloglevel configuration parameter (same as verbosity,
	applied to syslogging)
	* bulkmail: changed to To: header to the same value as From:, to hide the
	bulkmail internal address
	* bulkmail: --forward is run by postfix, as the doloforge ID, which have
	no special permissions on the project files: moved the temporary files,
	and granted the run
	* bulkmail: allowed the commands to run as non-root, using /tmp recipients
	files
	* bulkmail: running as non-root leads to inter-client security issues.
	Postfix now uses sudo to run doloforge CLI in a safe manner
	* doloforge 0.11.4 to 0.11.9

2007-09-05
	* added a syslog facility: every message is syslogged, whatever the
	verbosity level
	* verbosity level can be set from 0 to 4 (not 3)
	* project_env: added the PERL5LIB environment variable in the project_env
	template for magic loading of client-specific Perl modules
	* doloforge 0.11.3

2007-09-04
    * refactored cron job running
    * added command run for the bulkmail service (same running context as cron jobs)
    * improved bulkmail error reporting

2007-08-28
    * changed the _lists/ template directory to lists/
    * added an export for every Bash environment variable in the project_env.sh template
    * doloforge 0.11.2

2007-08-27
    * added a doloforge-dep packages, which pulls client dependencies
    * the Bulkmail service is still alpha...
    * doloforge 0.11.0 to 0.11.1

2007-08-25
    * added a new Bulkmail service: send emails to a recipient file or command (which
      can run a query against the project DB), from an already-formatted email text.
    * the service is tied to Postfix: simply generate and send the initial email to
      the local Postfix, and get it routed to everyone magically.
    * this service is not a mailng-list manager, in that it completely rely on your
      recipient list to be accurate; this is the task of the web project to get it right...

2007-08-24
    * fixed cron not running of NFS because root_squash prevented acquiring the lock
    * doloforge 0.10.2

2007-08-23
    * added the Sqlserver (MS SQL Server) and Mysql services
    * both stuffed with configuration options, storage directories, and template files
    * the project_env.* generated files provide full details for DB connectivity
    * doloforge 0.10.0 to 0.10.1

2007-08-20
    * generalized the environment variables config file: this file contains
      varaibles that describe the project for any need (cron jobs, DB creation
      scripts and patches, etc.)
    * the same contents was previously generated only for the cron service.
    * doloforge 0.9.9

2007-06-20
    * few config fixes
    * doloforge 0.9.8

2007-06-19
    * back to one iis back-end website per project, or .NET won't work (/Bin is a static location)
    * using mkw3site.vbs to create websites on the Windows host
    * few config fixes
    * doloforge 0.9.7

2007-06-05
    * there is now a single generic iis back-end website, containing all projects as sub directories
    * few config fixes
    * doloforge 0.9.6

2007-05-25
    * iis service allows the back-end servername to be of the form "site.domain.com:80/path/to/root"
    * doloforge 0.9.5

2007-05-18
    * https service now allows different certificates for different projects, each one on it's own apache-ssl port
    * use certificate-defined hostname for the HTTPS VirtualHost
    * add extensions handling to the iis service (reverse-proxy for some extensions only)
    * doloforge 0.9.1 to 0.9.4

2007-05-16
    * new IIS back-end service, allowing to reverse-proxy dynamic ASP/.NET content to a Windows server
    * doloforge 0.9.0

2007-05-11
    * umask set to 002 in perl handler
    * doloforge 0.8.5 to 0.8.6

2007-05-07
    * better cookie and wildcard SSL domain management
    * doloforge 0.8.4

2007-05-04
    * changed the :(NO)SSL scheme to +(NO)SSL, because page.html:SSL name can be taken as a protocol...
    * templates tuning for proper standalone, devl, test and production redirects between HTTP and HTTPS
    * doloforge 0.8.2 to 0.8.3

2007-05-03
    * changed serveralias parameter from string to array: beware of old project configuration files
    * changed the name of the mason components link from devl_internal_sandbox to internal_sandbox
      (see /srv/doloforge/shared/.doloforge/mason/components/; remove old links)
    * added apache-ssl service: a reverse-proxy in front of apache, allowing for HTTPS access to any site
    * doloforge 0.8.0 to 0.8.1

2007-03-22
    * less verbose cron runs
    * doloforge 0.7.2

2007-03-21
    * new cron service: scripts in [client]/[project]/cron/(hourly,daily,weekly,monthly)/
      directories are run in sequence, and their output is sent by mail to the project admin
    * doloforge 0.7.0 to 0.7.1 for real-world cron install

2007-02-14
    * a few improvements, sarge installation
    * doloforge 0.6.5 to 0.6.6

2007-02-13
    * upgraded apache-perl_mason.pl to new config file structure
    * tests on etch hosts
    * few configuration and templates improvements for real-world install
    * doloforge 0.6.1 to 0.6.4

2007-02-12
    * packaging for doloforge cluster-wide install
    * tests on sarge hosts
    * doloforge 0.6.0

2007-02-09
    * final steps of cluster configuration
    * new include statement, for cluster-specific configuration
    * a single-host/single-stage configuration is distributed for first-installs
    * new "role" concept, to allow proper decision on whereas a server should or shouldn't do things

2007-02-05
    * reorganized configuration file and code, for cluster-wide configuration
    * new keys and config tree in doloforge.yaml : big changes

2007-02-04
    * packaging for argon usage
    * doloforge 0.5.11

2007-01-31
    * many improvements
    * default virtual host is now a standard doloforge site (cf. /etc/doloforge/apache.conf)
    * doloforge 0.5.8 to 0.5.10

2007-01-17
    * allow for multiple back-end services (ie. mason + php5)
    * doloforge 0.5.7

2007-01-15
    * added dependencies (MySQL)
    * no more need for a "stage" directory (/srv/doloforge/devl)
    * we will see later on how to deal with multiple stages on a single host (root jail ?)
    * the proper config file specs regarding stages and cluster definition will come soon...
    * added PHP5 service
    * doloforge 0.5.3 to 0.5.6

2006-11-16
    * more detail improvements
    * doloforge 0.5.2

2006-11-15
    * detail improvements : user permissions, apache and apache-perl config
    * doloforge 0.5.1

2006-11-06
    * doloforge 0.4.2+ for more testing
    * completed Postgres7 services actions
    * last local testing
    * doloforge 0.5.0 "ready to install version"

2006-11-04
    * added Postgres7 services actions
    * configured Posgtres7 daemon and commented the mandatory settings

2006-11-03
    * doloforge 0.4 for testing purposes
    * full apache/apache-perl/mason configuration

2006-11-02
    * new host testing, updates

2006-10-30
    * doloforge 0.3 for testing purposes (client, project, service add)
    * many templates and logic improvements
    * added (empty) Posgtres7 service
    * lots of real-life tests
    * sub-templates improvements

2006-10-29
    * added services base logic : a project uses services
    * added services to the --update facility
    * still pending : remove non active clients or projects
    * basic services templates for Apache and Mason
    * moved many Doloforge::Command methods to a new Doloforge::Base, also used by Doloforge::Service

2006-10-23
    * added --update facility : create uig/gid, directories, et al.
    * can create a client, a project, no services yet
    * factorized various methods in the Doloforge::Command base class
    * can create a new fully configured instance from anywhere (Doloforge::Command::Factory)

2006-10-18
    * added client, user and project commands
    * refined the main config file
    * uses adduser/deluser systems command with tuned config files
    * doloforge 0.2

2006-10-16
    * doloforge 0.1

2006-10-16
    * doloforge command-line infrastructure
    * documented configuration file : doloforge.yaml
    * Doloforge::Test and Doloforge::Config modules
    * initial Debian packaging

# vim:filetype=changelog
